gnutls_x509_ext_import_aia(3)

NAME
gnutls_x509_ext_import_aia - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_aia(const gnutls_datum_t * ext, gnutls_x509_aia_t aia, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    The DER-encoded extension data

gnutls_x509_aia_t aia
    The authority info access

unsigned int flags
    should be zero

DESCRIPTION
This function extracts the Authority Information Access (AIA) extension from the provided DER-encoded data; see RFC 5280 section 4.2.2.1 for more information on the extension. The AIA extension holds a sequence of AccessDescription (AD) data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/